/*------------------------------------------------------------------
Project:    Ikhlaas Portfolio


[Table of contents]

1. Body
2. Header
3. Footer
4. Blog
5. Section
6. Home Banner
7. About
8. Services
9. Portfolio
10. Testimonial
11. Contact Us

-------------------------------------------------------------------*/

@import "../vendor/bootstrap/css/bootstrap.min.css";
@import "../vendor/bootstrap/icons/bootstrap-icons.css";
@import "../vendor/owl-carousel/css/owl.carousel.min.css";
@import "../vendor/magnific/magnific-popup.css";
@import "../vendor/font-awesome/css/all.min.css";
@import url("https://fonts.googleapis.com/css2?family=Rubik:wght@300;400;500;600;700;800;900&display=swap");
:root,
[data-bs-theme=dark] {
    --px-theme: #8B4000;
    --px-theme-text: #2d1516;
    --px-bg: #E6E6FA;
    --px-text: #534343;
    --px-gray-1: #f5f0f0;
    --px-gray-2: #f3eaeb;
    --px-gray-3: #f0e5e5;
    --px-gray-4: #efe3e4;
    --px-gray-5: #eddfe0;
    --px-border: #f4dedd;
    --bs-heading-color: #211a1a;
}

[data-bs-theme=light] {
    --px-theme: #FAD5A5;
    --px-theme-text: #1B1212;
    --px-bg: #6F4E37;
    --px-text: #1B1212;
    --px-gray-1: #2f2525;
    --px-gray-2: #5c4839;
    --px-gray-3: #3c2e2e;
    --px-gray-4: #3e2f2f;
    --px-gray-5: #433232;
    --px-border: #534343;
    --bs-heading-color: #F0C8DC;
}

.logo-light {
    display: none;
    height: 3rem;
    margin: 3rem;
    margin-top: -0.5rem;
    margin-bottom: -0.5rem;
    padding-top: 2px;
    padding-bottom: 2px;
}

[data-bs-theme=dark] .logo-light {
    display: block;
}

.logo-dark {
    display: block;
}

[data-bs-theme=dark] .logo-dark {
    display: none;
}

.main-header {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    z-index: 11;
    border-bottom: 1px solid var(--px-border);
    padding-top: 10px;
    padding-bottom: 10px;
    background-color: var(--px-gray-1);
}

.main-header .container {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: center;
    align-items: center;
}

.theme-btn .dropdown-toggle {
    background-color: var(--px-theme);
    color: var(--px-theme-text);
    border-radius: 10px;
    padding: 10px 18px;
    line-height: 1;
    border: none;
}

.theme-btn .dropdown-toggle:after {
    display: none;
}

.theme-btn .dropdown-menu {
    box-shadow: 0px 4px 8px -2px rgba(var(--bs-dark-rgb), 0.1), 0px 2px 4px -2px rgba(var(--bs-dark-rgb), 0.06);
    border: none;
    padding: 10px;
}

.theme-btn .dropdown-item {
    border-radius: 5px;
    font-size: 14px;
}

.theme-btn .dropdown-item:active,
.theme-btn .dropdown-item.active {
    background-color: var(--px-theme);
    color: var(--px-theme-text);
}

.navbar-brand {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: center;
    align-items: center;
    -ms-flex-pack: center;
    justify-content: center;
    color: var(--px-theme-text);
    line-height: 1;
    font-size: 18px;
}

.toggler-menu {
    padding: 0;
    width: 35px;
    height: 35px;
    position: relative;
    border: none;
    background-color: var(--px-theme);
    color: var(--px-theme-text);
    border-radius: 10px;
    margin-left: 10px;
    border: none;
}

.toggler-menu span {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    margin: auto;
    width: 17px;
    box-shadow: 0 0 0 1px currentColor, 0px -7px 0 1px currentColor, 0 7px 0 1px currentColor;
    height: 0;
}

.main-menu {
    display: -ms-flexbox;
    display: flex;
    margin: 0;
    padding: 20px 0;
    list-style: none;
    -ms-flex-pack: center;
    justify-content: center;
}

.main-menu .m-icon {
    width: 65px;
    font-size: 18px;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: center;
    align-items: center;
    -ms-flex-pack: center;
    justify-content: center;
    border-radius: 30px;
    line-height: 1;
    padding: 7px 0;
    margin-bottom: 5px;
    transition: ease all 0.35s;
    background-color: transparent;
}

.main-menu a {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-direction: column;
    flex-direction: column;
    -ms-flex-pack: center;
    justify-content: center;
    -ms-flex-align: center;
    align-items: center;
    font-size: 13px;
    text-decoration: none;
    color: var(--px-text);
    padding: 10px 0;
    font-weight: 500;
}

@media (min-width: 1201px) {
    .main-menu a:hover .m-icon {
        background-color: var(--px-theme);
        color: var(--px-theme-text);
    }
}

.main-menu a.active .m-icon {
    background-color: var(--px-theme);
    color: var(--px-theme-text);
}

.header-left-fixed {
    position: fixed;
    bottom: 0;
    top: 0;
    width: 100px;
    left: -180px;
    z-index: 11;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-direction: column;
    flex-direction: column;
    transition: ease all 0.35s;
    background-color: var(--px-gray-2);
    border-right: 1px solid var(--px-border);
}

.header-left-fixed.menu-open {
    left: 0;
}

@media (min-width: 1024px) {
    .header-left-fixed {
        left: 0 !important;
    }
}

.header-left-fixed .logo {
    width: 100%;
    padding-top: 10px;
    padding-bottom: 10px;
    display: -ms-inline-flexbox;
    display: inline-flex;
    -ms-flex-align: center;
    align-items: center;
    -ms-flex-pack: center;
    justify-content: center;
    border-bottom: 1px solid var(--px-border);
}

.header-left-fixed .logo img {
    max-width: 90%;
}

@media (min-width: 1024px) {
    .header-left-fixed+.wrapper {
        padding-left: 100px;
    }
}

.header-left-fixed .main-menu {
    -ms-flex-direction: column;
    flex-direction: column;
    overflow-y: auto;
}

.header-left-fixed .main-menu li {
    padding: 0 0 5px;
}

.header-left-fixed .theme-btn {
    margin-top: auto;
    text-align: center;
    padding: 20px 0;
}

.header-left-fixed .theme-btn .dropdown-menu {
    bottom: 100%;
    top: auto;
    left: 0;
    right: auto;
    min-width: inherit;
}

.header-top-fixed {
    position: fixed;
    top: 0;
    left: 0;
    z-index: 1080;
    transition: ease all 0.35s;
    padding: 15px 0;
    right: 0;
}

.fixed-header .header-top-fixed {
    background-color: var(--px-gray-2);
    border-bottom: 1px solid var(--px-border);
}

.header-top-fixed>.container {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: center;
    align-items: center;
    -ms-flex-pack: justify;
    justify-content: space-between;
}

.header-top-fixed .main-menu {
    padding: 0 20px;
}

.header-top-fixed .main-menu .m-icon {
    display: none;
}

.header-top-fixed .main-menu li {
    margin: 0 5px;
}

.header-top-fixed .main-menu a {
    padding: 6px 15px;
    font-size: 14px;
    text-transform: uppercase;
    letter-spacing: 2px;
    border-radius: 30px;
}

.header-top-fixed .main-menu a:hover,
.header-top-fixed .main-menu a.active {
    background-color: var(--px-theme);
    color: var(--px-theme-text);
}

@media (max-width: 1200px) {
    .header-top-fixed .main-menu {
        position: absolute;
        top: 100%;
        left: 0;
        right: 0;
        background-color: var(--px-gray-2);
        border-top: 1px solid var(--px-border);
        -ms-flex-direction: column;
        flex-direction: column;
        padding: 20px;
        display: none;
    }
    .header-top-fixed .main-menu li {
        margin: 5px 0;
    }
}

@media (min-width: 1201px) {
    .header-top-fixed+.wrapper .sticky-lg-top {
        top: 60px;
    }
}

@media (max-width: 1200px) {
    .header-top-fixed.menu-open .main-menu {
        display: -ms-flexbox;
        display: flex;
        -ms-flex-align: start;
        align-items: flex-start;
    }
}

.footer {
    position: relative;
    background-color: var(--px-bg);
    border-top: 2px solid var(--px-gray-2);
    /* margin-bottom: -24px; */
}

.footer .footer-info {
    text-align: center;
    margin-top: -50px;
}

.footer .footer-info .footer-avatar {
    width: 100px;
    height: 100px;
    display: -ms-flexbox;
    display: flex;
    margin: 0 auto;
    border-radius: 50%;
    border: 8px solid var(--px-gray-1);
    padding: 5px;
    background-color: var(--px-gray-3);
}

.footer .footer-info .footer-avatar img {
    width: 100%;
    height: 100%;
    -o-object-fit: cover;
    object-fit: cover;
    border-radius: 50%;
}

.footer .footer-info h6 {
    margin: 15px 0 0;
    font-size: 20px;
}

.footer .social-link {
    -ms-flex-pack: center;
    justify-content: center;
    padding: 20px 0;
}

.footer .social-link li {
    margin: 0 5px;
}

.footer .social-link a {
    width: 40px;
    height: 40px;
    display: -ms-inline-flexbox;
    display: inline-flex;
    -ms-flex-align: center;
    align-items: center;
    -ms-flex-pack: center;
    justify-content: center;
    background: var(--px-theme);
    color: var(--px-theme-text);
    border-radius: 10px;
    transition: ease all 0.35s;
    border: 2px solid var(--px-bg);
    /* margin-bottom: 4rem; */
}

.footer .social-link a:hover {
    background: var(--px-theme-text);
    color: var(--px-theme);
}

.footer .copyright {
    font-size: 14px;
    margin: 0 0 40px;
    text-align: center;
    /* margin-bottom: -2rem; */
}

.px-btn {
    padding: 15px 35px;
    display: -ms-inline-flexbox;
    display: inline-flex;
    -ms-flex-align: center;
    align-items: center;
    -ms-flex-pack: center;
    justify-content: center;
    background-color: var(--px-theme);
    color: var(--px-theme-text);
    text-decoration: none;
    border-radius: 10px;
    transition: ease all 0.35s;
    font-weight: 500;
    outline: none;
    box-shadow: none;
    border: 2px solid var(--px-theme);
}

.px-btn i {
    margin-left: 10px;
}

.px-btn:hover {
    background-color: var(--px-theme);
    color: var(--px-bg);
    transition: 0.5s all ease-in-out;
    font-weight: 500;
}

.gray-bg-1 {
    background-color: var(--px-gray-1);
}

.gray-bg-2 {
    background-color: var(--px-gray-2);
}

.gray-bg-3 {
    background-color: var(--px-gray-3);
}

.gray-bg-4 {
    background-color: var(--px-gray-4);
}

.gray-bg-5 {
    background-color: var(--px-gray-5);
}

.theme-bg {
    background-color: var(--px-theme);
}

.theme-light-bg {
    background-color: var(--px-theme-light);
}

.theme-dark-bg {
    background-color: var(--px-theme-dark);
}

@media (prefers-reduced-motion: no-preference) {
    :root {
        scroll-behavior: inherit;
    }
}

img {
    max-width: 100%;
}

* {
    outline: none !important;
}

/* ----------------------
*   Loading
---------------------------*/

#loading {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 99999;
}

.load-circle {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    margin: auto;
    width: 50px;
    height: 50px;
}

.load-circle span {
    display: inline-block;
    width: 64px;
    height: 64px;
}

.load-circle span:after {
    content: " ";
    display: block;
    width: 46px;
    height: 46px;
    margin: 1px;
    border-radius: 50%;
    -webkit-animation: lds-dual-ring 1.2s linear infinite;
    animation: lds-dual-ring 1.2s linear infinite;
}

@-webkit-keyframes lds-dual-ring {
    0% {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }
    100% {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

@keyframes lds-dual-ring {
    0% {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }
    100% {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

.dropdown-menu {
    --bs-dropdown-bg: var(--px-gray-3);
    --bs-tertiary-bg: var(--px-gray-2);
    --bs-dropdown-link-active-bg: var(--px-theme);
    --bs-dropdown-link-active-color: var(--px-theme-text);
}

/* Section
---------------------*/

.section {
    padding: 100px 0;
    position: relative;
}

@media (max-width: 1200px) {
    .section {
        padding-top: 80px;
        padding-bottom: 80px;
    }
}

@media (max-width: 767px) {
    .section {
        padding-top: 60px;
        padding-bottom: 60px;
    }
}

.section-heading {
    padding-bottom: 45px;
}

.section-heading h3 {
    position: relative;
    display: inline-block;
    vertical-align: top;
    padding-right: 45px;
    font-size: 40px;
    font-weight: 600;
    margin: 0;
    padding-bottom: 10px;
    text-transform: uppercase;
}

@media (max-width: 767px) {
    .section-heading h3 {
        font-size: 32px;
    }
}

.section-heading h3:after {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    width: 60px;
    height: 3px;
    background-color: var(--px-theme);
}

.section-heading i {
    position: absolute;
    top: -14px;
    right: 0;
}

.section-heading i svg {
    width: 34px;
    height: auto;
}

.title-01 {
    font-size: 30px;
    font-weight: 600;
    text-transform: uppercase;
    letter-spacing: 2px;
    position: relative;
    padding-left: 20px;
    color: var(--bs-heading-color);
    margin-bottom: 30px;
}

.title-01:after {
    content: "";
    position: absolute;
    top: 10px;
    left: 0;
    width: 8px;
    height: 8px;
    background: var(--px-theme);
}

/* Background
-------------------------------*/

body {
    background-color: var(--px-bg);
    color: var(--px-text);
    font-family: "Rubik", sans-serif;
    --bs-body-font-weight: 400;
    --bs-body-font-size: 1rem;
    --bs-body-line-height: 1.6;
    overflow-x: hidden;
}

a {
    text-decoration: none;
}

/* ----------------------
*   owl 
---------------------------*/

.owl-dots {
    text-align: center;
    font-size: 0px;
    padding-top: 35px;
}

.owl-dots .owl-dot {
    display: inline-block;
    vertical-align: top;
    width: 10px;
    height: 10px;
    background: transparent;
    border: 1px solid var(--px-text);
    transition: ease all 0.55s;
    border-radius: 8px;
    margin: 0 4px;
}

.owl-dots .owl-dot.active {
    background: var(--px-theme);
    width: 20px;
}

.owl-nav {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    margin: auto;
    pointer-events: none;
}

.owl-nav .owl-next,
.owl-nav .owl-prev {
    position: absolute;
    top: 0;
    bottom: 0;
    margin: auto;
    width: 35px;
    height: 35px;
    background: var(--px-theme);
    color: var(--px-theme-text);
    display: -ms-inline-flexbox;
    display: inline-flex;
    -ms-flex-align: center;
    align-items: center;
    -ms-flex-pack: center;
    justify-content: center;
    border-radius: 50%;
    pointer-events: auto;
    transition: ease all 0.35s;
}

.owl-nav .owl-next:hover,
.owl-nav .owl-prev:hover {
    background: var(--px-theme-text);
    color: var(--px-theme);
}

.owl-nav .owl-next {
    right: 0px;
}

@media (min-width: 1201px) {
    .owl-nav .owl-next {
        right: -50px;
    }
}

.owl-nav .owl-prev {
    left: 0px;
}

@media (min-width: 1201px) {
    .owl-nav .owl-prev {
        left: -50px;
    }
}

/* Home Banner
-------------------------------*/

.home-section {
    overflow: hidden;
}

.home-section .min-vh-100 {
    padding-top: 100px;
    padding-bottom: 100px;
}

.home-section .home-image {
    position: relative;
}

.home-section .home-image svg {
    width: 100%;
}

.home-section .home-image .hi-icon-top {
    position: absolute;
    top: -60px;
    right: -50px;
    width: 90px;
    display: inline-block;
}

.home-section .home-image .hi-icon-bottom {
    position: absolute;
    bottom: -40px;
    left: -50px;
    width: 90px;
    display: inline-block;
}

.home-section .home-image img {
    border-radius: 40px;
}

@media (max-width: 991px) {
    .home-section .home-intro {
        text-align: center;
        max-width: 470px;
        margin: 0 auto;
        padding-top: 20px;
    }
}

.home-section .home-intro h6 {
    font-size: 20px;
    margin-bottom: 15px;
}

@media (max-width: 1200px) {
    .home-section .home-intro h6 {
        font-size: 18px;
    }
}

.home-section .home-intro h1 {
    font-size: 62px;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    -ms-flex-align: center;
    align-items: center;
    font-weight: 600;
    margin-bottom: 15px;
}

@media (max-width: 1200px) {
    .home-section .home-intro h1 {
        font-size: 50px;
    }
}

@media (max-width: 991px) {
    .home-section .home-intro h1 {
        -ms-flex-pack: center;
        justify-content: center;
    }
}

@media (max-width: 767px) {
    .home-section .home-intro h1 {
        font-size: 35px;
    }
}

.home-section .home-intro h1 span {
    width: 70px;
    height: 70px;
    display: -ms-inline-flexbox;
    display: inline-flex;
    -ms-flex-align: center;
    align-items: center;
    -ms-flex-pack: center;
    justify-content: center;
    border-radius: 50%;
    margin: 0 8px;
}

@media (max-width: 1200px) {
    .home-section .home-intro h1 span {
        width: 55px;
        height: 55px;
    }
}

@media (max-width: 767px) {
    .home-section .home-intro h1 span {
        width: 45px;
        height: 45px;
    }
}

.home-section .home-intro h1 span img {
    width: 100%;
    height: 100%;
    -o-object-fit: cover;
    object-fit: cover;
    border-radius: 50%;
}

.home-section .home-intro h2 {
    font-weight: 500;
    margin-bottom: 25px;
    font-size: 25px;
}

@media (max-width: 1200px) {
    .home-section .home-intro h2 {
        margin-bottom: 20px;
        font-size: 22px;
    }
}

.home-section .home-intro p {
    font-size: 17px;
}

@media (max-width: 1200px) {
    .home-section .home-intro p {
        font-size: 15px;
    }
}

.home-section .home-intro .btn-bar {
    padding-top: 15px;
}

/* Home Banner 02
-------------------------------*/

.home-section-02 {
    padding-top: 200px;
    padding-bottom: 100px;
    overflow: hidden;
    position: relative;
}

.home-section-02 .home-image {
    position: relative;
}

.home-section-02 .home-image:after {
    content: "";
    padding-bottom: 155%;
    display: inline-block;
    vertical-align: top;
}

.home-section-02 .home-image img {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    width: 100%;
    height: 100%;
    -o-object-fit: cover;
    object-fit: cover;
    border-radius: 150px 150px 150px 10px;
}

.home-section-02 .home-image-02 img {
    border-radius: 150px 10px 150px 150px;
}

.home-section-02 .home-intro {
    max-width: 470px;
}

@media (max-width: 991px) {
    .home-section-02 .home-intro {
        text-align: center;
        margin: 0 auto;
        padding-top: 20px;
    }
}

.home-section-02 .home-intro h6 {
    font-size: 20px;
    margin-bottom: 15px;
}

@media (max-width: 1200px) {
    .home-section-02 .home-intro h6 {
        font-size: 18px;
    }
}

.home-section-02 .home-intro h1 {
    font-size: 62px;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    -ms-flex-align: center;
    align-items: center;
    font-weight: 600;
    margin-bottom: 15px;
}

@media (max-width: 1200px) {
    .home-section-02 .home-intro h1 {
        font-size: 50px;
    }
}

@media (max-width: 991px) {
    .home-section-02 .home-intro h1 {
        -ms-flex-pack: center;
        justify-content: center;
    }
}

@media (max-width: 767px) {
    .home-section-02 .home-intro h1 {
        font-size: 35px;
    }
}

.home-section-02 .home-intro h2 {
    font-weight: 500;
    margin-bottom: 25px;
    font-size: 25px;
}

@media (max-width: 1200px) {
    .home-section-02 .home-intro h2 {
        margin-bottom: 20px;
        font-size: 22px;
    }
}

.home-section-02 .home-intro p {
    font-size: 17px;
}

@media (max-width: 1200px) {
    .home-section-02 .home-intro p {
        font-size: 15px;
    }
}

.home-section-02 .social-link {
    padding: 10px 0 0;
}

@media (max-width: 991px) {
    .home-section-02 .social-link {
        -ms-flex-pack: center;
        justify-content: center;
    }
}

.home-section-02 .social-link li {
    margin: 0 8px 0 0;
}

.home-section-02 .social-link a {
    width: 40px;
    height: 40px;
    display: -ms-inline-flexbox;
    display: inline-flex;
    -ms-flex-align: center;
    align-items: center;
    -ms-flex-pack: center;
    justify-content: center;
    background: var(--px-theme);
    border: 2px solid var(--px-theme);
    color: var(--px-theme-text);
    border-radius: 10px;
    transition: ease all 0.35s;
}

.home-section-02 .social-link a:hover {
    background: var(--px-theme-text);
    color: var(--px-theme);
}

.home-section-02 .ef-1 {
    position: absolute;
    top: 50px;
    right: 0;
    bottom: auto;
    width: 500px;
    height: 500px;
    border-radius: 50%;
    background: #f64f59;
    -webkit-filter: blur(100px);
    filter: blur(100px);
    opacity: 0.25;
    pointer-events: none;
    z-index: -1;
}

.home-section-02 .ef-2 {
    position: absolute;
    bottom: 50px;
    left: 0;
    width: 500px;
    height: 500px;
    border-radius: 50%;
    background: #c471ed;
    -webkit-filter: blur(100px);
    filter: blur(100px);
    opacity: 0.25;
    pointer-events: none;
    z-index: -1;
}

/* Home Banner 03
-------------------------------*/

.home-section-03 {
    overflow: hidden;
    position: relative;
}

.home-section-03 .home-image .home-image-in {
    width: 300px;
    height: 300px;
    border-radius: 50%;
    overflow: hidden;
    margin: 0 auto;
    border: 12px solid var(--px-gray-3);
    box-shadow: 0 0 0 12px var(--px-gray-1);
}

.home-section-03 .home-image .home-image-in img {
    width: 100%;
    height: 100%;
    -o-object-fit: cover;
    object-fit: cover;
}

.home-section-03 .home-intro {
    text-align: center;
    padding-top: 20px;
}

.home-section-03 .home-intro h1 {
    font-size: 30px;
    font-weight: 600;
    margin-bottom: 15px;
}

.home-section-03 .home-intro h2 {
    font-weight: 500;
    margin: 0px;
    font-size: 22px;
}

.home-section-03 .social-link {
    padding: 20px 0 0;
    -ms-flex-pack: center;
    justify-content: center;
}

.home-section-03 .social-link li {
    margin: 0 4px;
}

.home-section-03 .social-link a {
    width: 40px;
    height: 40px;
    display: -ms-inline-flexbox;
    display: inline-flex;
    -ms-flex-align: center;
    align-items: center;
    -ms-flex-pack: center;
    justify-content: center;
    background: var(--px-theme);
    border: 2px solid var(--px-theme);
    color: var(--px-theme-text);
    border-radius: 10px;
    transition: ease all 0.35s;
}

.home-section-03 .social-link a:hover {
    background: var(--px-theme-text);
    color: var(--px-theme);
}

.bg-effect-img {
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-repeat: repeat;
    pointer-events: none;
    -webkit-animation: background_effect 0.2s infinite;
    animation: background_effect 0.2s infinite;
    opacity: 0.2;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: center;
    align-items: center;
    -ms-flex-pack: center;
    justify-content: center;
}

.bg-effect-img .marquee {
    -webkit-animation: marquee 8s linear infinite;
    animation: marquee 8s linear infinite;
    position: absolute;
    white-space: nowrap;
    display: -ms-flexbox;
    display: flex;
}

.bg-effect-img h2 {
    font-size: 12vw;
    text-transform: uppercase;
    opacity: 0.1;
    margin: 0;
    line-height: 1;
    white-space: nowrap;
}

[data-bs-theme=light] .bg-effect-img h2 {
    opacity: 0.05;
}

[data-bs-theme=light] .bg-effect-img {
    opacity: 0.5;
}

@-webkit-keyframes background_effect {
    0% {
        background-position: 0 0;
    }
    10% {
        background-position: -5% -5%;
    }
    20% {
        background-position: -10% 5%;
    }
    30% {
        background-position: 5% -10%;
    }
    40% {
        background-position: -5% 15%;
    }
    50% {
        background-position: -10% 5%;
    }
    60% {
        background-position: 15% 0;
    }
    70% {
        background-position: 0 10%;
    }
    80% {
        background-position: -15% 0;
    }
    90% {
        background-position: 10% 5%;
    }
    to {
        background-position: 5% 0;
    }
}

@keyframes background_effect {
    0% {
        background-position: 0 0;
    }
    10% {
        background-position: -5% -5%;
    }
    20% {
        background-position: -10% 5%;
    }
    30% {
        background-position: 5% -10%;
    }
    40% {
        background-position: -5% 15%;
    }
    50% {
        background-position: -10% 5%;
    }
    60% {
        background-position: 15% 0;
    }
    70% {
        background-position: 0 10%;
    }
    80% {
        background-position: -15% 0;
    }
    90% {
        background-position: 10% 5%;
    }
    to {
        background-position: 5% 0;
    }
}

@-webkit-keyframes marquee {
    0% {
        left: 0;
    }
    100% {
        left: -100%;
    }
}

@keyframes marquee {
    0% {
        left: 0;
    }
    100% {
        left: -100%;
    }
}

/* About
-------------------------------*/

.about-me-text {
    padding: 0 10% 0 0;
}

.about-me-text h3 {
    text-transform: uppercase;
    font-size: 16px;
    font-weight: 600;
    margin-bottom: 10px;
}

.about-me-text h5 {
    font-weight: 600;
    font-size: 30px;
    text-transform: uppercase;
    margin-bottom: 26px;
}

.about-me-text p{
    color: var(--px-theme);
}

@media (max-width: 767px) {
    .about-me-text h5 {
        font-size: 26px;
        margin-bottom: 22px;
    }
}

.about-me-text .a-count {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: center;
    align-items: center;
}

.about-me-text .a-count .count {
    font-size: 52px;
    line-height: 1;
    font-weight: 600;
    color: var(--bs-heading-color);
}

@media (max-width: 767px) {
    .about-me-text .a-count .count {
        font-size: 42px;
    }
}

.about-me-text .a-count .a-count-text {
    -ms-flex: 1;
    flex: 1;
    padding-left: 12px;
    line-height: 1.4;
    color: var(--px-theme);
}

.about-me-text .btn-bar {
    padding-top: 30px;
}

.about-me-img {
    border-radius: 16px;
    overflow: hidden;
}

.about-content ul {
    margin: 0;
    padding: 0;
    list-style: none;
}

.about-content li {
    display: -ms-flexbox;
    display: flex;
    border: 2px solid var(--px-border);
    background-color: var(--px-bg);
    padding: 12px 15px;
    border-radius: 12px;
    -ms-flex-align: center;
    align-items: center;
    position: relative;
    transition: ease all 0.35s;
}

.about-content li .a-icon {
    width: 40px;
    height: 40px;
    display: -ms-inline-flexbox;
    display: inline-flex;
    -ms-flex-align: center;
    align-items: center;
    -ms-flex-pack: center;
    justify-content: center;
    border-radius: 50%;
    background-color: var(--px-gray-2);
    color: var(--bs-heading-color);
    font-size: 20px;
}

.about-content li .a-text {
    -ms-flex: 1;
    flex: 1;
    padding-left: 20px;
    color: var(--px-theme);
    font-weight: 500;
}

.about-content li:hover {
    background-color: var(--px-theme);
    border: 2px solid var(--px-theme);
}

.about-content li:hover .a-text {
    color: var(--px-theme-text);
}

.about-content li+li {
    margin-top: 18px;
}

/* Resume
-------------------------------*/

.resume-box ul {
    margin: 0;
    padding: 0;
    list-style: none;
}

.resume-box li {
    background-color: var(--px-bg);
    border: 2px solid var(--px-border);
    padding: 15px 15px 20px 70px;
    border-radius: 12px;
    position: relative;
    transition: ease all 0.35s;
}

.resume-box li .icon {
    width: 40px;
    height: 40px;
    display: -ms-inline-flexbox;
    display: inline-flex;
    -ms-flex-align: center;
    align-items: center;
    -ms-flex-pack: center;
    justify-content: center;
    border-radius: 50%;
    background-color: var(--px-theme-text);
    color: var(--px-theme);
    font-size: 20px;
    position: absolute;
    top: 15px;
    left: 15px;
}

.resume-box li .time {
    font-size: 12px;
    display: -ms-flexbox;
    display: flex;
    width: 100%;
    padding-bottom: 4px;
}

.resume-box li h5 {
    font-weight: 600;
    font-size: 18px;
    margin-bottom: 10px;
}

.resume-box li p {
    margin: 0;
    font-size: 17px;
    font-weight: 600;
}

.resume-box li+li {
    margin-top: 20px;
}

.skill-lt+.skill-lt {
    padding-top: 30px;
}

.skill-lt .skill-bar {
    background-color: var(--px-gray-4);
}

.skill-lt h6 {
    font-size: 16px;
    margin: 0 0 10px;
    color: var(--px-theme);
}

.skill-lt .skill-bar-in {
    transition: cubic-bezier(0.25, 0.46, 0.45, 0.94) all 0.9s;
    height: 5px;
    position: relative;
    width: 0px;
    min-width: 100px;
    background-color: var(--bs-heading-color);
}

.skill-lt .skill-bar-in [data-bs-theme=dark] {
    background-color: var(--px-bg);
}

.skill-lt .skill-bar-in span {
    position: absolute;
    right: 0;
    top: -30px;
    font-size: 14px;
    color: var(--px-theme);
}

/* Services
-------------------------------*/

.feature-box-01 {
    background-color: var(--px-gray-1);
    border: 2px solid var(--px-border);
    padding: 40px;
    border-radius: 10px;
    position: relative;
}

@media (max-width: 767px) {
    .feature-box-01 {
        padding: 30px;
    }
}

.feature-box-01:after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: var(--px-gray-4);
    z-index: -1;
    border-radius: 10px;
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
    transition: ease all 0.35s;
}

.feature-box-01 .feature-content .h5 {
    font-size: 25px;
}

.feature-box-01 .icon {
    width: 70px;
    height: 70px;
    display: -ms-inline-flexbox;
    display: inline-flex;
    -ms-flex-align: center;
    align-items: center;
    -ms-flex-pack: center;
    justify-content: center;
    margin-bottom: 40px;
    position: relative;
    z-index: 1;
}


.feature-box-01 .icon i {
    background: var(--px-theme);
    border-radius: 10px;
    color: var(--px-theme-text);
    font-size: 35px;
    width: 100%;
    height: 100%;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: center;
    align-items: center;
    -ms-flex-pack: center;
    justify-content: center;
    transition: ease all 0.35s;
}

.feature-box-01 .icon:after {
    content: "";
    position: absolute;
    top: -8px;
    left: 4px;
    right: -10px;
    bottom: 5px;
    background-color: var(--px-gray-4);
    z-index: -1;
    border-radius: 10px;
    -webkit-transform: rotate(10deg);
    transform: rotate(10deg);
    transition: ease all 0.35s;
}

.feature-box-01 p {
    margin: 0;
    font-size: 1.5rem;
    color: var(--px-theme);
}

/* .feature-box-01 .feature-content h1 {
    margin: 0;
    font-size: 24px;
    text-transform: uppercase;
} */

.feature-box-01:hover:after {
    top: -6px;
    left: 6px;
    right: -6px;
    bottom: 6px;
    -webkit-transform: rotate(4deg);
    transform: rotate(4deg);
}

.feature-box-01:hover .icon:after {
    top: -4px;
    left: -4px;
    right: -4px;
    bottom: -4px;
    background: var(--px-theme);
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
}


/* portfolio
-------------------------------*/

.portfolio-box {
    border: 2px solid var(--px-border);
    padding: 10px;
    border-radius: 10px;
    position: relative;
    background-color: var(--px-bg);
}

.portfolio-box .portfolio-img {
    overflow: hidden;
    border-radius: 10px;
}

.portfolio-box .portfolio-text {
    position: absolute;
    bottom: 0px;
    left: 20px;
    right: 20px;
    background-color: var(--px-gray-2);
    border: 2px solid var(--px-border);
    padding: 20px;
    border-radius: 10px;
    transition: ease all 0.35s;
    opacity: 0;
}

.portfolio-box .portfolio-text h6 {
    font-size: 17px;
    margin: 0 0 5px;
}

.portfolio-box .portfolio-text p {
    margin: 0;
    font-size: 13px;
}

.portfolio-box .portfolio-text .gallery-link {
    position: absolute;
    top: 20px;
    right: 12px;
    width: 30px;
    height: 30px;
    display: -ms-inline-flexbox;
    display: inline-flex;
    -ms-flex-align: center;
    align-items: center;
    -ms-flex-pack: center;
    justify-content: center;
    background: var(--px-theme);
    color: var(--px-theme-text);
    border-radius: 50%;
    line-height: 1;
}

.portfolio-box .portfolio-modal-link {
    position: absolute;
    top: 20px;
    right: 20px;
    width: 40px;
    height: 40px;
    display: -ms-inline-flexbox;
    display: inline-flex;
    -ms-flex-align: center;
    align-items: center;
    -ms-flex-pack: center;
    justify-content: center;
    background: var(--px-theme);
    color: var(--px-theme-text);
    border-radius: 50%;
    border: 2px solid var(--px-theme);
}

.portfolio-box .portfolio-modal-link:hover {
    background: var(--px-bg);
    color: var(--px-text);
}

.portfolio-box:hover .portfolio-text {
    bottom: 20px;
    opacity: 1;
}

/* Testimonials
-------------------------------*/

.testimonials-box {
    border: 2px solid var(--px-border);
    padding: 25px;
    border-radius: 10px;
    position: relative;
    background-color: var(--px-bg);
    text-align: center;
}

.testimonials-box .t-lead {
    width: 100px;
    height: 100px;
    border: 2px solid var(--px-border);
    border-radius: 50%;
    padding: 3px;
    margin: 0 auto;
}

.testimonials-box .t-lead img {
    width: 100%;
    height: 100%;
    -o-object-fit: cover;
    object-fit: cover;
    border-radius: 50%;
}

.testimonials-box .t-text {
    padding-top: 20px;
}

.testimonials-box .t-text h5 {
    font-size: 26px;
}

@media (max-width: 767px) {
    .testimonials-box .t-text h5 {
        font-size: 22px;
    }
}

.testimonials-box .t-avatar {
    padding-top: 10px;
}

.testimonials-box .t-avatar h6 {
    font-size: 15px;
    margin: 0;
}

.testimonials-box .t-avatar span {
    font-size: 14px;
    opacity: 0.8;
}

/* Contact
-------------------------------*/

.contact-form {
    padding: 40px;
    border: 2px solid var(--px-border);
    border-radius: 16px;
    background-color: var(--px-bg);
}

@media (max-width: 991px) {
    .contact-form {
        padding: 30px;
    }
}

.contact-form .contact-head {
    padding-bottom: 20px;
}

.contact-form .contact-head h4 {
    font-size: 32px;
    max-width: 500px;
}

@media (max-width: 991px) {
    .contact-form .contact-head h4 {
        font-size: 25px;
    }
}

.contact-form .contact-head p {
    font-size: 18px;
    font-weight: 500;
    /* color: var(--px-theme); */
}

@media (max-width: 991px) {
    .contact-form .contact-head p {
        font-size: 15px;
    }
}

.contact-form .form-label {
    font-size: 16px;
}

.contact-form .form-control {
    background-color: var(--px-bg);
    border: 2px solid var(--px-theme);
    box-shadow: none;
    padding: 0.675rem 0.75rem;
    font-size: 18px;
    -webkit-transition: 0.5s;
    transition: 0.5s;
    outline: none;
    color: #2f2525;
}

.contact-info h2 {
    margin-bottom: 30px;
    color: var(--px-theme);
}

.contact-info .google-map {
    background-color: var(--px-bg);
    border: 2px solid var(--px-border);
    padding: 10px;
    border-radius: 10px;
}

.contact-info ul {
    margin: 0;
    padding: 0;
    list-style: none;
}

.contact-info li {
    display: -ms-flexbox;
    display: flex;
}

.contact-info li+li {
    margin-top: 40px;
}

.contact-info .text {
    -ms-flex: 1;
    flex: 1;
    padding-left: 20px;
}

.contact-info .text label {
    font-weight: 600;
    font-size: 17px;
    color: var(--px-theme);
}

.contact-info .text p {
    margin: 0;
    color: var(--bs-heading-color);
}

.contact-info .text p span {
    display: block;
    width: 100%;
    font-weight: 600;
}

.contact-info .icon {
    width: 60px;
    height: 60px;
    display: -ms-inline-flexbox;
    display: inline-flex;
    -ms-flex-align: center;
    align-items: center;
    -ms-flex-pack: center;
    justify-content: center;
    border-radius: 50%;
    background-color: var(--px-theme-text);
    color: var(--px-theme);
    font-size: 20px;
}

/* Modal
-------------------------------*/

.px-modal {
    max-width: 1200px;
    margin: 0 auto;
    padding: 30px;
    background-color: var(--px-bg);
    position: relative;
}

@media (max-width: 1200px) {
    .px-modal {
        padding: 18px;
    }
}

.px-modal .mfp-close {
    position: absolute;
    top: 0;
    right: 0;
    background: var(--px-gray-2);
    color: var(--px-text);
    z-index: 1;
    opacity: 1;
}

.single-project-box h4 {
    margin-bottom: 12px;
    padding-bottom: 12px;
    border-bottom: 1px solid var(--px-border);
    font-size: 25px;
    font-weight: 500;
    text-transform: uppercase;
    

}

.px-modal .about-content span{
    font-weight: 600;
}

























.input-control {
    display: flex;
    flex-direction: column;
}

.input-control input {
    border: 2px solid #f0f0f0;
	border-radius: 4px;
	display: block;
	font-size: 12px;
	padding: 10px;
	width: 100%;
}

.input-control input:focus {
    outline: 0;
}

.input-control.success input {
    border-color: #09c372;
}

.input-control.error input {
    border-color: #ff3860;
}

.input-control .error {
    color: #ff3860;
    font-size: 9px;
    height: 13px;
}




/* 
.content{
    height: 1000px;
      font-family: 'Questrial';
      line-height: 1.5;
      letter-spacing: 3px;
      font-size: 20px;
      text-decoration: underline;
      text-align: center;
      margin-top: 30px;
  }
  .go-top {
    position:fixed;
    bottom: 7%;
    right: 3%;
    padding:20px;
    display:none;
    cursor: pointer;
    border-radius: 2rem;
      -webkit-font-smoothing: antialiased;
  }
  .go-top:after {
    font-family: FontAwesome;
    content: "\f106";
      background-color: #E5E8F0;
      padding: 10px 15px;
    color: #6a6e7c;
    position: absolute; 
    bottom:10px;
    font-size: 20px;
  }
  
  .go-top-text {
      position: absolute;
      width: 60px;
      text-align: center;
      font-family: 'Questrial';
      line-height: 1.5;
      letter-spacing: 2px;
      font-size: 10px;
      font-weight: 500;
      margin: 20px 0 0 -4px;
  }
  
  .go-top:hover {
      transition: all .4s linear;
      transform: scale(1.1);
  } */




  html{
    font-size: 62.5%;
    overflow-x: hidden;
    scroll-padding-top: 7.5rem;
    scroll-behavior: smooth;
}

html::-webkit-scrollbar{
    width:0.7rem;
}

html::-webkit-scrollbar-track{
    background:var(--px-text);
}

html::-webkit-scrollbar-thumb{
    background:var(--px-border);
    border-radius: 5rem;
}


@import url('https://fonts.googleapis.com/css2?family=Alex+Brush&display=swap'); 
.logo{
    color:var(--px-text);
    font-family: 'Alex Brush', cursive;
    font-size: 3.1rem;
    /* transition: transform .1s ease-in;  */
    /* margin: 0.5px; */
}

 .logo span{
    color: rgb(109, 87, 45);
    font-weight: bolder;
    /* font-size: 3.5rem; */
}

.logo:hover{
    /* width: 2px; */
    color: var(--px-theme);
    /* animation: zoom; */
    /* transform: scale(1.1); */
}


body{
    font-size: large;
}